curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/scenarios/manage" \
-H "Authorization: Bearer YOUR_API_TOKEN"{
"total": 1,
"scenarios": [
{
"_id": "6970b3c1d2e3f40123456789",
"drafts": [],
"inactiveRevisions": [],
"activeRevision": {
"_id": "6970b3c1d2e3f4012345678a",
"scenarioId": "6970b3c1d2e3f40123456789",
"name": "(SUB) New Incoming Messages",
"description": "Sends a webhook for each new incoming message",
"status": "active",
"version": 1,
"triggerEvents": [
"domain.message.created"
],
"conditions": [
[
{
"name": "filtrex",
"params": {
"expression": "direction == \"incoming\""
},
"confidentialData": false
}
]
],
"loaders": {
"afterConditions": [
{
"name": "chat",
"alias": "chat",
"params": {},
"confidentialData": false
}
]
},
"actions": [
{
"name": "request",
"params": {
"url": "https://example.com/hook",
"method": "post",
"json": true
},
"confidentialData": false
}
],
"options": {
"unorderedActions": false
},
"metadata": {
"authorUid": "4d170fc7-5cd6-4496-98e4-f4f03a11456e",
"created": 1768314807488,
"activated": 1768314808000
}
}
}
]
}{
"error": "limit: Invalid value. Should be a positive integer from 1 to 1000"
}Subscribe to Events
List All Subscriptions
Retrieve a list of all existing event subscriptions and scenarios in Texter. All subscription scenarios created from the templates in this section start with the prefix (SUB) in their name.
GET
https://{projectID}.texterchat.com/server/api/v2
/
scenarios
/
manage
curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/scenarios/manage" \
-H "Authorization: Bearer YOUR_API_TOKEN"{
"total": 1,
"scenarios": [
{
"_id": "6970b3c1d2e3f40123456789",
"drafts": [],
"inactiveRevisions": [],
"activeRevision": {
"_id": "6970b3c1d2e3f4012345678a",
"scenarioId": "6970b3c1d2e3f40123456789",
"name": "(SUB) New Incoming Messages",
"description": "Sends a webhook for each new incoming message",
"status": "active",
"version": 1,
"triggerEvents": [
"domain.message.created"
],
"conditions": [
[
{
"name": "filtrex",
"params": {
"expression": "direction == \"incoming\""
},
"confidentialData": false
}
]
],
"loaders": {
"afterConditions": [
{
"name": "chat",
"alias": "chat",
"params": {},
"confidentialData": false
}
]
},
"actions": [
{
"name": "request",
"params": {
"url": "https://example.com/hook",
"method": "post",
"json": true
},
"confidentialData": false
}
],
"options": {
"unorderedActions": false
},
"metadata": {
"authorUid": "4d170fc7-5cd6-4496-98e4-f4f03a11456e",
"created": 1768314807488,
"activated": 1768314808000
}
}
}
]
}{
"error": "limit: Invalid value. Should be a positive integer from 1 to 1000"
}Required token scopes:
View scenariosהרשאות
פרמטרי שאילתה
תגובה
The matching scenarios and total count. Field-by-field reference: The Scenario object